Package org.apache.felix.webconsole

## Interface WebConsoleSecurityProvider3

All Superinterfaces:
  `WebConsoleSecurityProvider`, `WebConsoleSecurityProvider2`

    @Deprecated
    @ConsumerType
    public interface WebConsoleSecurityProvider3
    extends WebConsoleSecurityProvider2

Deprecated.
Use the `SecurityProvider` instead.
The `WebConsoleSecurityProvider3` extends the `WebConsoleSecurityProvider2` interface and adds the ability to perform log-out operation.

If a registered `WebConsoleSecurityProvider` service implements this interface the `logout(HttpServletRequest, HttpServletResponse)` method is called when the user clicks the logout button. If this service is missing and basic authentication is used, then new authentication is requested. In any case, the logout procedure will invalidate the current session and will remove the `ServletContextHelper.REMOTE_USER`, `ServletContextHelper.AUTHORIZATION` attributes from the request and the session.

Since:
  4.2.8; Web Console Bundle 4.2.8

### Field Summary

### Fields inherited from interface org.apache.felix.webconsole.WebConsoleSecurityProvider2

`USER_ATTRIBUTE`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `logout​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated. This method will be called by the web console when the user clicks the logout button.

### Methods inherited from interface org.apache.felix.webconsole.WebConsoleSecurityProvider

`authenticate, authorize`

### Methods inherited from interface org.apache.felix.webconsole.WebConsoleSecurityProvider2

`authenticate`

### Method Detail

#### logout

    void logout​(javax.servlet.http.HttpServletRequest request,
                javax.servlet.http.HttpServletResponse response)

Deprecated.
This method will be called by the web console when the user clicks the logout button. The security provider shouldn't invalidate the session, it will be invalidated after this method exits. However the security provider must delete any cookies or objects, that matters during the authorization process.

Parameters:
  `request` - the request
  `response` - the response